
QGIS Application - Bug report #14968

Inverted polygons > Heatmap crashes QGIS

2016-06-06 12:52 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22917

Description

Apply an "Inverted Polygons" style to a layer and select the Heatmap subrenderer. QGIS crashes!!!

Given that this subrenderer is for point only and thus incompatible with "Inverted Polygons" it should not be proposed in the list.

Associated revisions

Revision 94e1d5e5 - 2016-06-07 05:33 AM - Nyall Dawson

Fix crash when using inverted polygons with heatmap renderer

Add methods to QgsRendererV2AbstractMetadata and QgsRendererV2Registry

to control renderer compatiblity by layer type. Should make it

easier to avoid this recurring bug popping up again in future.

Also add unit tests for QgsRendererV2Registry

Fix #14968

History

#1 - 2016-06-06 10:20 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"94e1d5e52e0a40af64e897e6ed61f3f6fc0372c2".
